### Method

# FwupdPlugin Plugin runner_modify_config

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_plugin_runner_modify_config (
      FuPlugin* self,
      const gchar* key,
      const gchar* value,
      GError** error
    )

#### Description [src]

Sets a plugin config option, which may be allow-listed or value-checked.

Available since: 2.0.0

#### Parameters

`key`

  Type: `const gchar*`

  A config key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A config value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success, `FALSE` for failure.